## GtkCellRendererAccel

GtkCellRendererAccel

## Functions

GtkCellRenderer * | gtk_cell_renderer_accel_new ()

## Properties

guint | accel-key | Read / Write
GtkCellRendererAccelMode | accel-mode | Read / Write
GdkModifierType | accel-mods | Read / Write
guint | keycode | Read / Write

## Signals

void | accel-cleared | Run Last
void | accel-edited | Run Last

## Types and Values

struct | GtkCellRendererAccel
enum | GtkCellRendererAccelMode

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkCellRenderer
                    ╰── GtkCellRendererText
                        ╰── GtkCellRendererAccel

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_cell_renderer_accel_new ()

    GtkCellRenderer *
    gtk_cell_renderer_accel_new (void);

Creates a new GtkCellRendererAccel.

#### Returns

the new cell renderer

Since: 2.10

## Types and Values

### struct GtkCellRendererAccel

    struct GtkCellRendererAccel;

### enum GtkCellRendererAccelMode

#### Members

GTK_CELL_RENDERER_ACCEL_MODE_GTK |  |
GTK_CELL_RENDERER_ACCEL_MODE_OTHER |  |

## Property Details

### The `“accel-key”` property

      “accel-key”                guint

The keyval of the accelerator.

Flags: Read / Write

Allowed values: <= G_MAXINT

Default value: 0

Since: 2.10

### The `“accel-mode”` property

      “accel-mode”               GtkCellRendererAccelMode

Determines if the edited accelerators are GTK+ accelerators. If they are, consumed modifiers are suppressed, only accelerators accepted by GTK+ are allowed, and the accelerators are rendered in the same way as they are in menus.

Flags: Read / Write

Default value: GTK_CELL_RENDERER_ACCEL_MODE_GTK

Since: 2.10

### The `“accel-mods”` property

      “accel-mods”               GdkModifierType

The modifier mask of the accelerator.

Flags: Read / Write

Since: 2.10

### The `“keycode”` property

      “keycode”                  guint

The hardware keycode of the accelerator. Note that the hardware keycode is only relevant if the key does not have a keyval. Normally, the keyboard configuration should assign keyvals to all keys.

Flags: Read / Write

Allowed values: <= G_MAXINT

Default value: 0

Since: 2.10

## Signal Details

### The `“accel-cleared”` signal

    void
    user_function (GtkCellRendererAccel *accel,
                   gchar                *path_string,
                   gpointer              user_data)

Gets emitted when the user has removed the accelerator.

#### Parameters

accel | the object reveiving the signal |
path_string | the path identifying the row of the edited cell |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 2.10

### The `“accel-edited”` signal

    void
    user_function (GtkCellRendererAccel *accel,
                   gchar                *path_string,
                   guint                 accel_key,
                   GdkModifierType       accel_mods,
                   guint                 hardware_keycode,
                   gpointer              user_data)

Gets emitted when the user has selected a new accelerator.

#### Parameters

accel | the object reveiving the signal |
path_string | the path identifying the row of the edited cell |
accel_key | the new accelerator keyval |
accel_mods | the new acclerator modifier mask |
hardware_keycode | the keycode of the new accelerator |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 2.10